EDIT - feature request #8503

Create abstract base Ul from RegistrationUl and use it for all Uls
08/29/2019 03:08 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal

Description

The code which configures the error hanlder should also go into the abstract base class:

DelegatingErrorHandler delegatingErrorHander = new DelegatingErrorHandler ();
WindowErrorHandler errorHandler = new WindowErrorHandler (this, RegistrationUIDefaults.
ERROR_CONTACT_MESSAGE_LINE + "</br></br>"
+
"<i>To help analyzing the problem please describe your actions that lead to this error and provide
the error details from below in your email. "
+ "You also might want to add a sreenshot of the browser page in error.</i>");
delegatingErrorHander.registerHandler (new ErrorTypeErrorHandlerWrapper<
PermissionDeniedException> (PermissionDeniedException.class, new PermissionDeniedErrorHandler (this
))) i
delegatingErrorHander.registerHandler (new ErrorTypeErrorHandlerWrapper<Exception> (
Exception.class, errorHandler));
setErrorHandler (delegatingErrorHander) ;
VaadinSession.getCurrent () .setErrorHandler (delegatingErrorHander) ;

also other code part of the init method

To be implemented for
e DistributionStatusUl URGENT: this Ul is already based on the Ul interface only
e StatusEditorUlI: still based on the AbstractAuthenticatedUlI
e ConceptRelationshipUl: still based on the AbstractAuthenticatedUl

Additional

¢ drop AbstractAuthenticatedUl and CdmBaseUl once done

Related issues:
Copied to EDIT - feature request #9860: base all Uls on the AbstractUl New

Associated revisions

Revision cac8806b - 11/11/2021 12:59 PM - Andreas Kohlbecker

ref #8503 creating abstract base Ul class

Revision 4f8aab68 - 11/11/2021 03:54 PM - Andreas Kohlbecker
fix #8503 abstract base Ul created

History

#1 - 08/29/2019 03:10 PM - Andreas Miiller

Especially it needs to be available for the distribution editor

#2 - 08/29/2019 03:40 PM - Andreas Kohlbecker

- Description updated
Especially it needs to be available for the distribution editor

agreed! This means it need to be done for the DistributionStatusUI first.

#3 - 11/11/2021 03:55 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|4f8aab68e114332f01013b52b7e4f1d17a6582e8.

#4 - 11/11/2021 03:57 PM - Andreas Kohlbecker
- Copied to feature request #9860: base all Uls on the AbstractUl added

#5 - 11/11/2021 03:57 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#6 - 11/11/2021 03:58 PM - Andreas Kohlbecker

migration of existing Uls:
e DistributionStatusUl URGENT: this Ul is already based on the Ul interface only
¢ StatusEditorUl: still based on the AbstractAuthenticatedUl
¢ ConceptRelationshipUI: still based on the AbstractAuthenticatedUI

moved to new ticket

#7 - 11/11/2021 03:58 PM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.45

#8 - 02/15/2022 03:40 PM - Andreas Miuller

- Target version changed from Release 5.45 to Release 5.29
